StandbyCheckpointer (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode.ha, class: StandbyCheckpointer

Package org.apache.hadoop.hdfs.server.namenode.ha

# Class StandbyCheckpointer

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.ha.StandbyCheckpointer

@Private public class StandbyCheckpointer extends Object
Thread which runs inside the NN when it's in Standby state, periodically waking up to take a checkpoint of the namespace. When it takes a checkpoint, it saves it to its local storage and then uploads it to the remote NameNode.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandbyCheckpointer(org.apache.hadoop.conf.Configuration conf, FSNamesystem ns)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancelAndPreventCheckpoints(String msg)`
  Cancel any checkpoint that's currently being made, and prevent any new checkpoints from starting for the next minute or so.
  `long`
  `getLastCheckpointTime()`
  `void`
  `start()`
  `void`
  `stop()`
  `void`
  `triggerRollbackCheckpoint()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StandbyCheckpointer

    public StandbyCheckpointer(org.apache.hadoop.conf.Configuration conf, FSNamesystem ns) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### start

    public void start()

  - ### stop

    public void stop() throws IOException
    Throws:
      `IOException`

  - ### triggerRollbackCheckpoint

    public void triggerRollbackCheckpoint()

  - ### cancelAndPreventCheckpoints

    public void cancelAndPreventCheckpoints(String msg) throws org.apache.hadoop.ha.ServiceFailedException
    Cancel any checkpoint that's currently being made, and prevent any new checkpoints from starting for the next minute or so.
    Throws:
      `org.apache.hadoop.ha.ServiceFailedException`

  - ### getLastCheckpointTime

    @VisibleForTesting public long getLastCheckpointTime()